GlueGen: com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Protected Member Functions | List of all members
com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter Class Reference

Class that emits a generic comment for CMethodBindingEmitters; the comment includes the C signature of the native method that is being bound by the emitter java method. More...

Inheritance diagram for com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter:
Collaboration diagram for com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter:

## Public Member Functions

void | emit (final FunctionEmitter emitter, final PrintWriter writer)
| Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters. More...
void | emit (FunctionEmitter funcEmitter, PrintWriter output)
| Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters. More...

## Protected Member Functions

void | emitBeginning (final CMethodBindingEmitter emitter, final PrintWriter writer)
void | emitEnding (final CMethodBindingEmitter emitter, final PrintWriter writer)

## Detailed Description

Class that emits a generic comment for CMethodBindingEmitters; the comment includes the C signature of the native method that is being bound by the emitter java method.

Definition at line 1684 of file CMethodBindingEmitter.java.

## Member Function Documentation

## ◆ emit()

void com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter.emit | ( | final FunctionEmitter | funcEmitter,
|  | final PrintWriter | output
| ) |  |

Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters.

Implements com.jogamp.gluegen.CommentEmitter.

Definition at line 1686 of file CMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ emitBeginning()

void com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter.emitBeginning | ( | final CMethodBindingEmitter | emitter,
|  | final PrintWriter | writer
| ) |  |

protected

Definition at line 1690 of file CMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitEnding()

void com.jogamp.gluegen.CMethodBindingEmitter.DefaultCommentEmitter.emitEnding | ( | final CMethodBindingEmitter | emitter,
|  | final PrintWriter | writer
| ) |  |

protected

Definition at line 1701 of file CMethodBindingEmitter.java.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/CMethodBindingEmitter.java